> For the complete documentation index, see [llms.txt](https://docs.term.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.term.finance/protocol/term-repos/defaults.md).

# Defaults

Default occurs when a borrower (1) fails to maintain sufficient margin or (2) fails to repurchase its collateral tokens within the repayment window.&#x20;

<details>

<summary>Margin deficit</summary>

A margin deficit occurs when the value of a borrower's collateral is no longer sufficient to meet the [maintenance margin ratio](/protocol/term-repos/terminology.md#maintenance-margin-ratio). The protocol tracks this by monitoring a borrower's [transaction exposure](/protocol/term-repos/conventions.md#transaction-exposure), which is calculated as follows:

$$\text{transactionExposure} = \text{maintenanceMarginRatio}\*\text{repurchasePrice}-\text{collateralMarketValue}$$

where the [collateral market value ](/protocol/term-repos/terminology.md#collateral-market-value)is measured in real-time using [Chainlink oracle price feeds](https://data.chain.link/). Where a borrower's [Transaction Exposure ](/protocol/term-repos/terminology.md#transaction-exposure)is negative, their collateral is eligible for [liquidation](/protocol/term-repos/defaults/liquidation.md).

</details>

<details>

<summary>Failure to repurchase</summary>

The repurchase date marks the maturity date of a Term Repo. Borrowers are required to repurchase their collateral tokens on the repurchase date and they must do so within the [repurchase window](/protocol/term-repos/terminology.md#repurchase-window), which typically lasts 12 to 24 hours from the repurchase date. Failure to do so means that the borrower is in default and their collateral is eligible for [liquidation](/protocol/term-repos/defaults/liquidation.md).&#x20;

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.term.finance/protocol/term-repos/defaults.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
